Retrieve an asset
This method retrieves details about the specified asset.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
asset_id
The unique identifier of the asset to retrieve.
Response
The asset has been successfully retrieved.
_id
The unique identifier of the asset.
created_at
The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the asset was created.
duration
The duration of the asset in seconds. Only present for video and audio assets. This field is absent for image assets or while the asset is still being processed.
file_type
The MIME type of the asset file.
filename
The name of the file used to create the asset.
hls
HLS streaming details for the asset. Present only when HLS generation has been requested. Omitted otherwise.
method
Indicates how you uploaded the asset.
Values:
direct: Uploaded from your local file systemurl: Uploaded from a publicly accessible URLmultipart: Uploaded using the multipart upload flow
Allowed values:
size
The file size of the asset in bytes. This field is absent while the asset is still being processed.
status
Indicates the current status of the asset.
Values:
failed: The platform failed to process the uploadprocessing: The platform is processing the uploaded fileready: The asset is ready to use
Allowed values:
thumbnail
Thumbnail details for the asset. Present only when thumbnail generation has been requested. Omitted otherwise.
Errors
400
Bad Request Error